: Class Element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class Element

    java.lang.Object
      |
      +--com.mortbay.HTML.Element

Direct Known Subclasses:
  Composite, DefList, EmbedUrl, Include, Tag

public abstract class Element
extends java.lang.Object

HTML Element

This abstract class is the base for all HTML Elements. The feature of an abstract HTML Element is that it can be added to HTML Pages, HTML Composites and several other HTML Elements derivations. Elements may also have attributes set, which are handled by the derived Element.

Version:
  $Id: Element.java,v 2.12 1999/10/19 22:06:04 gregw Exp $
Author:
  Greg Wilkins
See Also:
  `Page, class Composite`

Field Summary
`static java.lang.String` | `ALIGN`
`protected java.util.Hashtable` | `attributeMap`
`static java.lang.String` | `BGCOLOR`
`static java.lang.String` | `BOTTOM`
`static java.lang.String` | `CENTER`
`static java.lang.String` | `CLASS`
`static java.lang.String` | `COLOR`
`static java.lang.String` | `HEIGHT`
`static java.lang.String` | `ID`
`static java.lang.String` | `LEFT`
`static java.lang.String` | `MIDDLE`
`static java.lang.String` | `noAttributes`
`static java.lang.String` | `RIGHT`
`static java.lang.String` | `SIZE`
`static java.lang.String` | `STYLE`
`static java.lang.String` | `TOP`
`static java.lang.String` | `VALIGN`
`static java.lang.String` | `WIDTH`

Constructor Summary
`Element()` Default constructor
`Element(java.lang.String attributes)` Construct with attributes

Method Summary
`Element` | `attribute(java.lang.String attributes)` Add element Attributes.
`Element` | `attribute(java.lang.String attribute, long value)` Add quoted element Attributes and value.
`Element` | `attribute(java.lang.String attribute, java.lang.Object value)` Add quoted element Attributes and value.
`java.lang.String` | `attributes()`
`Element` | `attributes(java.lang.String attributes)` Deprecated. Use attribute(String).
`Element` | `bgColor(java.lang.String color)` set BGCOLOR Convenience method equivalent to attribute("BGCOLOR",color).
`Element` | `bottom()` Bottom align Convenience method equivalent to attribute("VALIGN","BOTTOM").
`Element` | `center()` Center Convenience method equivalent to attribute("ALIGN","CENTER").
`Element` | `color(java.lang.String color)` set color Convenience method equivalent to attribute("COLOR",color).
`Element` | `cssClass(java.lang.String c)` set CSS CLASS
`Element` | `cssID(java.lang.String id)` set CSS ID
`int` | `height()`
`Element` | `height(int h)` set height Convenience method equivalent to attribute("HEIGHT",h).
`Element` | `height(java.lang.String h)` set height Convenience method equivalent to attribute("HEIGHT",h).
`Element` | `left()` left justify Convenience method equivalent to attribute("ALIGN","LEFT").
`Element` | `middle()` Middle align Convenience method equivalent to attribute("VALIGN","MIDDLE").
`Element` | `right()` right justify Convenience method equivalent to attribute("ALIGN","RIGHT").
`Element` | `setAttributesFrom(Element e)` Set attributes from another Element
`int` | `size()`
`Element` | `size(int s)` set size Convenience method equivalent to attribute("SIZE",s).
`Element` | `size(java.lang.String s)` set size Convenience method equivalent to attribute("SIZE",s).
`Element` | `style(java.lang.String s)` set Style
`Element` | `top()` Top align Convenience method equivalent to attribute("VALIGN","TOP").
`java.lang.String` | `toString()` Convert Element to String.
`int` | `width()`
`Element` | `width(int w)` set width Convenience method equivalent to attribute("WIDTH",w).
`Element` | `width(java.lang.String w)` set width Convenience method equivalent to attribute("WIDTH",w).
`void` | `write(java.io.OutputStream out)` Write Element to an OutputStream Calls print(Writer) and checks errors Elements that override this method should also override write(Writer) to avoid infinite recursion.
`void` | `write(java.io.OutputStream out, java.lang.String encoding)` Write Element to an OutputStream Calls print(Writer) and checks errors Elements that override this method should also override write(Writer) to avoid infinite recursion.
`abstract void` | `write(java.io.Writer out)` Write element to a Writer This abstract method is called by the Page or other containing Element to write the HTML for this element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### noAttributes

    public static final java.lang.String noAttributes

### ALIGN

    public static final java.lang.String ALIGN

### LEFT

    public static final java.lang.String LEFT

### RIGHT

    public static final java.lang.String RIGHT

### CENTER

    public static final java.lang.String CENTER

### VALIGN

    public static final java.lang.String VALIGN

### TOP

    public static final java.lang.String TOP

### BOTTOM

    public static final java.lang.String BOTTOM

### MIDDLE

    public static final java.lang.String MIDDLE

### WIDTH

    public static final java.lang.String WIDTH

### HEIGHT

    public static final java.lang.String HEIGHT

### SIZE

    public static final java.lang.String SIZE

### COLOR

    public static final java.lang.String COLOR

### BGCOLOR

    public static final java.lang.String BGCOLOR

### STYLE

    public static final java.lang.String STYLE

### CLASS

    public static final java.lang.String CLASS

### ID

    public static final java.lang.String ID

### attributeMap

    protected java.util.Hashtable attributeMap

Constructor Detail

### Element

    public Element()

  Default constructor

### Element

    public Element(java.lang.String attributes)

  Construct with attributes
  Parameters:
    `attributes` - The initial attributes of the element

Method Detail

### write

    public abstract void write(java.io.Writer out)
                        throws java.io.IOException

  Write element to a Writer This abstract method is called by the Page or other containing Element to write the HTML for this element. This must be implemented by the derived Element classes.
  Parameters:
    `out` - Writer to write the element to.

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Write Element to an OutputStream Calls print(Writer) and checks errors Elements that override this method should also override write(Writer) to avoid infinite recursion.
  Parameters:
    `out` - OutputStream to write the element to.

### write

    public void write(java.io.OutputStream out,
                      java.lang.String encoding)
               throws java.io.IOException

  Write Element to an OutputStream Calls print(Writer) and checks errors Elements that override this method should also override write(Writer) to avoid infinite recursion.
  Parameters:
    `out` - OutputStream to write the element to.

### attributes

    public java.lang.String attributes()

### attributes

    public Element attributes(java.lang.String attributes)

  Deprecated. Use attribute(String).

  Add element Attributes The attributes are added to the Element attributes (separated with a space). The attributes are available to the derived class in the protected member String attributes
  Parameters:
    `attributes` - String of HTML attributes to add to the element.
  Returns:
    This Element so calls can be chained.

### setAttributesFrom

    public Element setAttributesFrom(Element e)

  Set attributes from another Element
  Parameters:
    `e` - Element
  Returns:
    This Element

### attribute

    public Element attribute(java.lang.String attributes)

  Add element Attributes. The attributes are added to the Element attributes (separated with a space). The attributes are available to the derived class in the protected member String attributes
  Parameters:
    `attributes` - String of HTML attributes to add to the element. A null attribute clears the current attributes.
  Returns:
    This Element so calls can be chained.

### attribute

    public Element attribute(java.lang.String attribute,
                             java.lang.Object value)

  Add quoted element Attributes and value.
  Parameters:
    `attribute` - String of HTML attribute tag
    `value` - String value of the attribute to be quoted
  Returns:
    This Element so calls can be chained.

### attribute

    public Element attribute(java.lang.String attribute,
                             long value)

  Add quoted element Attributes and value.
  Parameters:
    `attribute` - String of HTML attribute tag
    `value` - String value of the attribute to be quoted
  Returns:
    This Element so calls can be chained.

### toString

    public java.lang.String toString()

  Convert Element to String. Uses write() to convert the HTML Element to a string.
  Overrides:
    toString in class java.lang.Object
  Parameters:
    `String` - of the HTML element

### left

    public Element left()

  left justify Convenience method equivalent to attribute("ALIGN","LEFT"). Not applicable to all Elements.

### right

    public Element right()

  right justify Convenience method equivalent to attribute("ALIGN","RIGHT"). Not applicable to all Elements.

### center

    public Element center()

  Center Convenience method equivalent to attribute("ALIGN","CENTER"). Not applicable to all Elements.

### top

    public Element top()

  Top align Convenience method equivalent to attribute("VALIGN","TOP"). Not applicable to all Elements.

### bottom

    public Element bottom()

  Bottom align Convenience method equivalent to attribute("VALIGN","BOTTOM"). Not applicable to all Elements.

### middle

    public Element middle()

  Middle align Convenience method equivalent to attribute("VALIGN","MIDDLE"). Not applicable to all Elements.

### width

    public Element width(int w)

  set width Convenience method equivalent to attribute("WIDTH",w). Not applicable to all Elements.

### width

    public Element width(java.lang.String w)

  set width Convenience method equivalent to attribute("WIDTH",w). Not applicable to all Elements.

### width

    public int width()

### height

    public Element height(int h)

  set height Convenience method equivalent to attribute("HEIGHT",h). Not applicable to all Elements.

### height

    public Element height(java.lang.String h)

  set height Convenience method equivalent to attribute("HEIGHT",h). Not applicable to all Elements.

### height

    public int height()

### size

    public Element size(int s)

  set size Convenience method equivalent to attribute("SIZE",s). Not applicable to all Elements.

### size

    public Element size(java.lang.String s)

  set size Convenience method equivalent to attribute("SIZE",s). Not applicable to all Elements.

### size

    public int size()

### color

    public Element color(java.lang.String color)

  set color Convenience method equivalent to attribute("COLOR",color). Not applicable to all Elements.

### bgColor

    public Element bgColor(java.lang.String color)

  set BGCOLOR Convenience method equivalent to attribute("BGCOLOR",color). Not applicable to all Elements.

### cssClass

    public Element cssClass(java.lang.String c)

  set CSS CLASS

### cssID

    public Element cssID(java.lang.String id)

  set CSS ID

### style

    public Element style(java.lang.String s)

  set Style

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD